@import "../../css/colors.less";

@delete-button-width: 36px;

.component-item {
	display: flex;
    align-items: center;
	user-select: none;
	left: 0px;
	transition: left 0.4s;
	padding: 4px 2px;

	position: relative;

	&.button-switch > div:last-child, > input {
		opacity: 1;
		transition: opacity .4s;
	}

	&.button-switch > div:last-child, > input {
		position: absolute;
		right: 0px;
	}

	> div:last-child {

		> div:last-child { // checkbox itself
			opacity: 1;
			transition: opacity .4s;
		}

		> label { // checkbox label
			> img {
				vertical-align: bottom;
			}
		}

		:global(.isvg) {
			position: relative;
			top: 6px;
		}
	}

	z-index: 2;

	> .delete-button {
		user-select: none;

		z-index: 1;
		top: 0;
		left: @delete-button-width*-1;
		width: @delete-button-width;
		height: 100%;

		overflow: hidden;

		position: absolute;

		background: @delete-button-background;
		color: @delete-button-foreground;
		transition: background .4s;

		display: flex;
		align-items: center;

		&:not(.disabled):hover {
			background: darken(@delete-button-background, 30%)
		}

		> :global(.isvg) {
			width: 100%; height: 100%;

			> svg {
				height: 75%;
				width: 75%;
				margin: 12%;

				fill: @delete-button-foreground;
			}
		}
	}

	&.deleteButtonAnimationEntering {
		left: @delete-button-width;

		> div:last-child > div:last-child, > input, &.button-switch > div:last-child {
			opacity: 0;
		}
	}

	&.deleteButtonAnimationEnteringDone {
		> div:last-child > div:last-child, > input, &.button-switch > div:last-child {
			opacity: 0;
			display: none;
		}
	}
}